FLANG

Classes | Public Member Functions | Public Attributes | List of all members
Fortran::parser::IntrinsicTypeSpec Struct Reference

## Classes
struct | Character
struct | Complex
struct | Logical
struct | Real

## Public Member Functions
| UNION_CLASS_BOILERPLATE (IntrinsicTypeSpec)
| EMPTY_CLASS (DoublePrecision)
| EMPTY_CLASS (DoubleComplex)

## Public Attributes
std::variant< IntegerTypeSpec, Real, DoublePrecision, Complex, Character, Logical, DoubleComplex > | u

The documentation for this struct was generated from the following file:

- include/flang/Parser/parse-tree.h